# $Revision: 1.9 $, $Date: 2011/04/06 08:52:23 $
#
# Conditional build
%bcond_without	gnome_keyring	# without gnome-keyring
#
Summary:	File transfer client supporting the FTP, FTP (FTPS) and SSH (SFTP)
Summary(pl.UTF-8):	Program do transferu plkików używający FTP, FTP (FTPS) oraz SSH (SFTP)
Name:		bareftp
Version:	0.3.8
Release:	1
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://www.bareftp.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	8f55ee5f5ea652e9f1b6462395ad366f
URL:		http://www.bareftp.org/
%{?with_gnome_keyring:BuildRequires:	dotnet-gnome-keyring-sharp-devel}
BuildRequires:	dotnet-gnome-sharp-devel
BuildRequires:	dotnet-gtk-sharp2-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35
BuildRequires:	mono-csharp
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bareFTP is a file transfer client writen in C# supporting the FTP, FTP
over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP).

%description -l pl.UTF-8
bareFTP jest programem do transferu plików napisanym w C# wspierającym
protokoły FTP, FTP z obsługą SSL/TLS (FTPS) oraz SSH (SFTP).

%prep
%setup -q

%build
%configure \
	%{!?with_gnome_keyring:--without-gnomekeyring}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog README
%attr(755,root,root) %{_bindir}/bareftp
%dir %{_libdir}/bareftp
%{_libdir}/bareftp/bareFTP*.dll
%{_libdir}/bareftp/bareftp.exe
%{_mandir}/man1/bareftp.1*
%{_iconsdir}/hicolor/*/apps/*
%{_desktopdir}/bareftp.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bareftp.spec,v $
Revision 1.9  2011/04/06 08:52:23  lisu
- up to 0.3.8
- BR: mono-csharp

Revision 1.8  2010/11/18 12:38:02  lisu
- 0.3.7

Revision 1.7  2010/10/18 09:44:50  lisu
- 0.3.6

Revision 1.6  2010/10/11 09:21:24  lisu
- up to 0.3.5
- pl desc fix

Revision 1.5  2010/05/08 10:32:14  lisu
- rel 1

Revision 1.4  2010/05/08 10:28:51  lisu
- desc and summary

Revision 1.3  2010/05/08 10:17:20  lisu
- updated to 0.3.4 (fixed problems with gnome-keyring)
- BRs: gettext-devel, intltool >= 0.35, pkgconfig

Revision 1.2  2010/05/06 07:25:51  lisu
- rpmbuild(macros) >= 1.32 for %%find_lang

Revision 1.1  2010/05/05 08:50:03  lisu
- added to PLD
- nfy

